<?xml version="1.0" encoding="utf-8"?>
<resources>
    <style name="Text16sp" parent="MyIdTextBaseStyle">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:textAllCaps">false</item>
        <item name="android:textColor">@color/black</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="TextInput" parent="Text16sp">
        <item name="android:layout_width">match_parent</item>
        <item name="android:inputType">text</item>
        <item name="android:saveEnabled">false</item>
        <item name="android:scrollHorizontally">true</item>
        <item name="android:singleLine">true</item>
        <item name="android:textColorHint">@color/color_gray_500</item>
    </style>

    <style name="TextInputOutlined" parent="Widget.MaterialComponents.TextInputLayout.OutlinedBox">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textColorHint">@color/color_input</item>
        <item name="boxCornerRadiusBottomEnd">8dp</item>
        <item name="boxCornerRadiusBottomStart">8dp</item>
        <item name="boxCornerRadiusTopEnd">8dp</item>
        <item name="boxCornerRadiusTopStart">8dp</item>
        <item name="boxStrokeColor">@color/color_input</item>
        <item name="boxStrokeWidth">1dp</item>
        <item name="boxStrokeWidthFocused">1dp</item>
        <item name="hintTextAppearance">@style/Text16sp</item>
        <item name="hintTextColor">@color/color_input</item>
        <item name="placeholderTextAppearance">@style/Text16sp</item>
        <item name="placeholderTextColor">@color/color_gray_500</item>
    </style>
</resources>